%define		_status		beta
%define		_pearname	Net_IDNA
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - punycode encoding and decoding
Summary(pl.UTF-8):	%{_pearname} - kodowanie i dekodowanie punycode
Name:		php-pear-%{_pearname}
Version:	0.8.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e436adb07e62375da7891e592a11a037
URL:		http://pear.php.net/package/Net_IDNA/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php-pear
Obsoletes:	php-pear-Net_IDNA-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package helps you to encode and decode punycode strings easily.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa ułatwia kodowanie i dekodowanie ciągów znaków Unicode w
punycode.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 7d5987a
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 3b8695e
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a34cb17
- dropped -tests subpackage

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> cd8c6ba
- up to 0.8.1

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 518e72d
- updated to 0.7.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> d51f093
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d328e46
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 22197fb
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> f16828f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> b4d4e0a
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 73f8980
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 00a6ade
- group Development/Languages/PHP for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 2f64c60
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 38151c4
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 9d951ce
- semi automatically added deps from pear

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> c726d55
- new pear packaging

* Sun Aug 21 2005 Adam Gołębiowski <adamg@pld-linux.org> 4d0ef91
- updated to 0.7.1

* Thu Aug 04 2005 Adam Gołębiowski <adamg@pld-linux.org> d5624e5
- updated to 0.6.0

* Sat Feb 05 2005 Adam Gołębiowski <adamg@pld-linux.org> 402fccc
- updated to 0.5.0

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> b81e7e4
- rebuild with new PEAR provides/requires scripts
- release 2

